PageRender class

package | phpLDAPadmin
subpackage | Templates

### Methods

## __call()

    __call($method, $args)

Inherited

inherited_from | \Visitor::__call()

### Parameters

#### $method

#### $args

## __construct()

    __construct($server_id, $template_id)

### Parameters

#### $server_id

#### $template_id

## Initialise the PageRender

    accept()

## Draw all hidden attributes

    drawHiddenAttributes()

## drawSubTitle()

    drawSubTitle($subtitle)

### Parameters

#### $subtitle

## drawTitle()

    drawTitle($title)

### Parameters

#### $title

## Return the LDAP server ID

    getServerID() : int

Inherited

inherited_from | \Visitor::getServerID()

### Returns

`int`Server ID

## getTemplate()

    getTemplate()

## getTemplateID()

    getTemplateID()

## setContainer()

    setContainer($dn)

### Parameters

#### $dn

## setDN()

    setDN($dn)

### Parameters

#### $dn

## Draw the current specific value of an attribute

    drawCurrentValueAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## drawCurrentValueBinaryAttribute()

    drawCurrentValueBinaryAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## Draw a Jpeg Attribute

    drawCurrentValueJpegAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## drawCurrentValuePasswordAttribute()

    drawCurrentValuePasswordAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## DRAW DISPLAYED CURRENT VALUES *

    drawCurrentValuesAttribute($attribute)

### Parameters

#### $attribute

## drawFormReadOnlyValueAttribute()

    drawFormReadOnlyValueAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## drawFormReadOnlyValueBinaryAttribute()

    drawFormReadOnlyValueBinaryAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## drawFormReadOnlyValueJpegAttribute()

    drawFormReadOnlyValueJpegAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## drawFormReadOnlyValueMultiLineAttribute()

    drawFormReadOnlyValueMultiLineAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## drawFormReadOnlyValuePasswordAttribute()

    drawFormReadOnlyValuePasswordAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## drawFormReadOnlyValueShadowAttribute()

    drawFormReadOnlyValueShadowAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueAttribute()

    drawFormReadWriteValueAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueBinaryAttribute()

    drawFormReadWriteValueBinaryAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueDateAttribute()

    drawFormReadWriteValueDateAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueDnAttribute()

    drawFormReadWriteValueDnAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueGidAttribute()

    drawFormReadWriteValueGidAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueMultiLineAttribute()

    drawFormReadWriteValueMultiLineAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValuePasswordAttribute()

    drawFormReadWriteValuePasswordAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueSelectionAttribute()

    drawFormReadWriteValueSelectionAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## drawFormReadWriteValueShadowAttribute()

    drawFormReadWriteValueShadowAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## Draw a input value for an attribute - used in a form.

    drawFormValueAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## drawFormValueObjectClassAttribute()

    drawFormValueObjectClassAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## Draw specific hidden attribute

    drawHiddenValueAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## Draw specific hidden binary attribute

    drawHiddenValueBinaryAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## DRAW ATTRIBUTE NAME *

    drawNameAttribute($attribute)

### Parameters

#### $attribute

## ATTRIBUTE NOTES

    drawNotesAttribute($attribute)

### Parameters

#### $attribute

## drawOldValueAttribute()

    drawOldValueAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## drawOldValueBinaryAttribute()

    drawOldValueBinaryAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## Draw a Jpeg Attribute

    drawOldValueJpegAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## drawOldValuePasswordAttribute()

    drawOldValuePasswordAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## DRAW DISPLAYED OLD VALUES *

    drawOldValuesAttribute($attribute)

### Parameters

#### $attribute

## drawShadowDateShadowAttribute()

    drawShadowDateShadowAttribute($attribute)

### Parameters

#### $attribute

## getAutoPostPasswordAttribute()

    getAutoPostPasswordAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## May be overloaded in other classes

    getMode()

## getModeContainer()

    getModeContainer()

## getNoteAliasAttribute()

    getNoteAliasAttribute($attribute)

### Parameters

#### $attribute

## getNoteHintAttribute()

    getNoteHintAttribute($attribute)

### Parameters

#### $attribute

## getNoteRDNAttribute()

    getNoteRDNAttribute($attribute)

### Parameters

#### $attribute

## getNoteROAttribute()

    getNoteROAttribute($attribute)

### Parameters

#### $attribute

## getNoteRequiredAttribute()

    getNoteRequiredAttribute($attribute)

### Parameters

#### $attribute

## Process our <post> arguments from the templates

    getPostAttribute($attribute, $i)

### Parameters

#### $attribute

#### $i

## Return this LDAP Server object

    getServer() : object

Inherited

inherited_from | \Visitor::getServer()

### Returns

`object`DataStore Server

## This function is invoked if we dont know which template we should be using.

    getTemplateChoice() : string

### Returns

`string`Template ID to be used or null if the user was presented with a list.

## Get our templates applicable for this object

    getTemplates()

## Dummy method.

    visitAttribute()

..

## Takes a shadow* attribute and returns the date as an integer.

    shadow_date(array $attribute)

### Parameters

#### $attribute

`array`

Attribute objects

### Properties

## $container

    $container

## $dn

    $dn

## $page

    $page

## $server_id

    $server_id

Inherited

inherited_from | \Visitor::$$server_id

## $template

    $template

## $template_id

    $template_id